all: loader.c

make_loader: make_loader.c
	$(CC) $< -o $@

loader: loader.asm
	nasm -f bin loader.asm -o loader

loader.c: loader make_loader
	./make_loader > loader.c 2>loader.h

clean:
	-@rm -f loader make_loader


